<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-pragma">{-# LINE 1 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-1"></span><span class="hs-pragma">{-# LANGUAGE NoImplicitPrelude #-}</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">SDL.GPU.C.NumericTypes.Inner</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-4"></span><span>
</span><span id="line-5"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Int</span></span><span>
</span><span id="line-6"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">Data.Word</span></span><span>
</span><span id="line-7"></span><span class="hs-keyword">import</span><span> </span><span class="annot"><span class="hs-identifier">GHC.Float</span></span><span>
</span><span id="line-8"></span><span>
</span><span id="line-9"></span><span>
</span><span id="line-10"></span><span>
</span><span id="line-11"></span><span class="hs-keyword">type</span><span> </span><span id="GPU_Int"><span class="annot"><a href="SDL.GPU.C.NumericTypes.Inner.html#GPU_Int"><span class="hs-identifier hs-var">GPU_Int</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span class="annot"><span class="hs-identifier hs-type">Int32</span></span><span>
</span><span id="line-12"></span><span id="GPU_Float"></span><span class="hs-pragma">{-# LINE 12 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-12"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_Float</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Float</span><span>
</span><span id="line-13"></span><span id="GPU_UnsignedInt"></span><span class="hs-pragma">{-# LINE 13 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-13"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_UnsignedInt</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word32</span><span>
</span><span id="line-14"></span><span id="GPU_UnsignedShort"></span><span class="hs-pragma">{-# LINE 14 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-14"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_UnsignedShort</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word16</span><span>
</span><span id="line-15"></span><span id="GPU_UnsignedChar"></span><span class="hs-pragma">{-# LINE 15 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-15"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_UnsignedChar</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word8</span><span>
</span><span id="line-16"></span><span id="GPU_Sint16"></span><span class="hs-pragma">{-# LINE 16 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-16"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_Sint16</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Int16</span><span>
</span><span id="line-17"></span><span id="GPU_Uint8"></span><span class="hs-pragma">{-# LINE 17 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-17"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_Uint8</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word8</span><span>
</span><span id="line-18"></span><span id="GPU_Uint16"></span><span class="hs-pragma">{-# LINE 18 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-18"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_Uint16</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word16</span><span>
</span><span id="line-19"></span><span id="GPU_Uint32"></span><span class="hs-pragma">{-# LINE 19 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-19"></span><span class="hs-keyword">type</span><span> </span><span class="hs-identifier">GPU_Uint32</span><span> </span><span class="hs-glyph">=</span><span> </span><span class="hs-identifier">Word32</span><span>
</span><span id="line-20"></span><span class="hs-pragma">{-# LINE 20 &quot;src/SDL/GPU/C/NumericTypes/Inner.hsc&quot; #-}</span><span>
</span><span id="line-20"></span></pre></body></html>